Debian Bug report logs - #89939
ncurses man pages - wierd non-substitutions

version graph

Package: ncurses; Maintainer for ncurses is Craig Small <csmall@debian.org>;

Reported by: Daniel Jacobowitz <dan@debian.org>

Date: Fri, 16 Mar 2001 23:33:05 UTC

Severity: normal

Found in version 5.2.20010310-1

Fixed in version ncurses/5.2.20010318-1

Done: Daniel Jacobowitz <ncurses-maint@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#89939; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: submit@bugs.debian.org
Subject: ncurses man pages - wierd non-substitutions
Date: Fri, 16 Mar 2001 18:32:12 -0500
Package: ncurses
Version: 5.2.20010310-1

From the bottom of tic(1):
FILES
       @TERMINFO@/?/*
            Compiled terminal description database.

SEE ALSO
       @INFOCMP@(1M),      @CAPTOINFO@(1M),      @INFOTOCAP@(1M),
       @TOE@(1M), ncurses(3NCURSES), terminfo(5).

What is supposed to deal with these?

-- 
Daniel Jacobowitz                           Debian GNU/Linux Developer
Monta Vista Software                              Debian Security Team
                         "I am croutons!"



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#89939; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: "Thomas E. Dickey" <dickey@herndon4.his.com>
To: Daniel Jacobowitz <dan@debian.org>, 89939@bugs.debian.org
Cc: submit@bugs.debian.org, debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>
Subject: Re: Bug#89939: ncurses man pages - wierd non-substitutions
Date: Sat, 17 Mar 2001 17:58:20 -0500 (EST)
On Fri, 16 Mar 2001, Daniel Jacobowitz wrote:

the "make install" is supposed to do the substitution (I'm out of town,
will verify when I return).

> Package: ncurses
> Version: 5.2.20010310-1
> 
> >From the bottom of tic(1):
> FILES
>        @TERMINFO@/?/*
>             Compiled terminal description database.
> 
> SEE ALSO
>        @INFOCMP@(1M),      @CAPTOINFO@(1M),      @INFOTOCAP@(1M),
>        @TOE@(1M), ncurses(3NCURSES), terminfo(5).
> 
> What is supposed to deal with these?
> 
> 

-- 
T.E.Dickey <dickey@herndon4.his.com>
http://dickey.his.com
ftp://dickey.his.com




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#89939; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#89939; Package ncurses. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jacobowitz <dan@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #20 received at 89939@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: "Thomas E. Dickey" <dickey@herndon4.his.com>, 89939@bugs.debian.org
Subject: Re: Bug#89939: ncurses man pages - wierd non-substitutions
Date: Sat, 17 Mar 2001 18:28:31 -0500
It only seems to do the substitutions if cf_manpage_renames is no, and
the Debian packages have it set to yes.  Perhaps the edit_man.sed
should handle the @@ macros also?

They just seem to be used for the toi, tic, and captoinfo manpages,
IIRC.

On Sat, Mar 17, 2001 at 05:58:20PM -0500, Thomas E. Dickey wrote:
> On Fri, 16 Mar 2001, Daniel Jacobowitz wrote:
> 
> the "make install" is supposed to do the substitution (I'm out of town,
> will verify when I return).
> 
> > Package: ncurses
> > Version: 5.2.20010310-1
> > 
> > >From the bottom of tic(1):
> > FILES
> >        @TERMINFO@/?/*
> >             Compiled terminal description database.
> > 
> > SEE ALSO
> >        @INFOCMP@(1M),      @CAPTOINFO@(1M),      @INFOTOCAP@(1M),
> >        @TOE@(1M), ncurses(3NCURSES), terminfo(5).
> > 
> > What is supposed to deal with these?
> > 
> > 
> 
> -- 
> T.E.Dickey <dickey@herndon4.his.com>
> http://dickey.his.com
> ftp://dickey.his.com
> 
> 

-- 
Daniel Jacobowitz                           Debian GNU/Linux Developer
Monta Vista Software                              Debian Security Team
                         "I am croutons!"



Reply sent to Daniel Jacobowitz <ncurses-maint@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Jacobowitz <dan@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 89939-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <ncurses-maint@debian.org>
To: 89939-close@bugs.debian.org
Subject: Bug#89939: fixed in ncurses 5.2.20010318-1
Date: Mon, 19 Mar 2001 15:05:56 -0500
We believe that the bug you reported is fixed in the latest version of
ncurses, which has been installed in the Debian FTP archive:

libncurses5-dbg_5.2.20010318-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.2.20010318-1_i386.deb
libncurses5-dev_5.2.20010318-1_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.2.20010318-1_i386.deb
ncurses-base_5.2.20010318-1_all.deb
  to pool/main/n/ncurses/ncurses-base_5.2.20010318-1_all.deb
ncurses-term_5.2.20010318-1_all.deb
  to pool/main/n/ncurses/ncurses-term_5.2.20010318-1_all.deb
ncurses-bin_5.2.20010318-1_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.2.20010318-1_i386.deb
libncurses5_5.2.20010318-1_i386.deb
  to pool/main/n/ncurses/libncurses5_5.2.20010318-1_i386.deb
ncurses_5.2.20010318-1.diff.gz
  to pool/main/n/ncurses/ncurses_5.2.20010318-1.diff.gz
ncurses_5.2.20010318.orig.tar.gz
  to pool/main/n/ncurses/ncurses_5.2.20010318.orig.tar.gz
ncurses_5.2.20010318-1.dsc
  to pool/main/n/ncurses/ncurses_5.2.20010318-1.dsc
A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 89939@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <ncurses-maint@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 18 Mar 2001 20:40:54 -0500
Source: ncurses
Binary: libncurses5 libncurses5-dev ncurses-base ncurses-bin libncurses5-dbg ncurses-term
Architecture: source i386 all
Version: 5.2.20010318-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 89939
Changes: 
 ncurses (5.2.20010318-1) unstable; urgency=low
 .
   * New upstream patch to fix manual editing (Closes: #89939).
Files: 
 0e8dc3be3e5bd0a2af080b0c3f8cf732 706 libs standard ncurses_5.2.20010318-1.dsc
 29c220fa9d09835ca1ffbdd7df484240 1813702 libs standard ncurses_5.2.20010318.orig.tar.gz
 027fc4fb778dca69f4b5207264183d4b 27716 libs standard ncurses_5.2.20010318-1.diff.gz
 b3afcfa83264808453fb7d8f20a0d8a2 226460 base required libncurses5_5.2.20010318-1_i386.deb
 4068fceaec5ba18379d0fa1ffd8d2f16 1063788 devel optional libncurses5-dev_5.2.20010318-1_i386.deb
 7b3b3b8355b65529db735b6bb9c0b3e4 1042706 devel extra libncurses5-dbg_5.2.20010318-1_i386.deb
 ac294ffe582f2773a1460f3ff91f0c30 280088 base required ncurses-bin_5.2.20010318-1_i386.deb
 940cf3ee7bf139538df5f3fecf419f94 101168 base required ncurses-base_5.2.20010318-1_all.deb
 6ec115fd4ff070856061104519bfd275 474060 admin standard ncurses-term_5.2.20010318-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE6tWdYbgOPXuCjg3cRAo1bAKDUm8zMqjFXjYULDmAUlcBA4VOhEACfb0Wu
MA2Ta7YIpoJTOBNKlXfrGtI=
=2qvd
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:29:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.